# Project information
site_name: "Djeex Lab"
site_description: "De la doc, encore de la doc"
site_author: "Djeex"
site_url: "https://docs.djeex.fr/"

# Copyright
copyright: "&copy; 2020-2024 djeex.fr"

# Repository
repo_name: "Djeex/kidlab"
repo_url: "https://git.djeex.fr/Djeex/kidlab"
edit_uri: src/branch/main/docs/files

# Navigation
nav:
  - Bienvenue sur Djeex Lab: index.md
  - Généralités:
    - NAT & DHCP: nat.md
    - Zone DNS: dns.md
    - Samba: samba.md
  - Serveex: 
    - Introduction: serveex/introduction.md
    - Le coeur du serveur :
      - serveex/installation.md
      - serveex/docker.md
      - serveex/swag.md
    - La sécurité:
      - serveex/wireguard.md
      - serveex/authentik.md
      - serveex/cloudflare.md
    - Monitoring:
      - serveex/uptime-kuma.md
      - serveex/dozzle.md
    - Media & Seedbox:
      - serveex/plex.md
      - serveex/qbittorrent.md
    - Cloud Drive & Photos:
      - serveex/immich.md
      - serveex/nextcloud.md
    - Développement:
      - serveex/code-server.md
      - serveex/gitea.md
      - serveex/it-tools.md
    - Applications utiles:
      - serveex/filebrowser.md
      - serveex/adguard.md
      - serveex/vaultwarden.md

# Configuration
docs_dir: "files"
site_dir: "/site"

# Theme
theme:
  name: "material"
  language: "fr"
  shortcuts:
    help: 191 # ?
    next: 78 # n
    previous: 80 # p
    search: 83 # s
  icon:
    edit: fontawesome/regular/pen-to-square
    repo: simple/gitea
    annotation: material/eye-circle
  palette:
    scheme: slate
    primary: "cyan"
    accent: "cyan"
  features:
    - content.action.edit
    - search.highlight
    - search.suggest
    - navigation.top
    - content.code.copy
    - navigation.sections
    - navigation.indexes
    - navigation.tracking
    - navigation.path
  highlightjs: true
  hljs_languages:
    - yaml
    - django
    - nginx
    - console
    - properties
    - shell
  logo: '/img/logo/book_pixel.png'
  favicon: '/img/logo/book_pixel.svg'

# Extensions
markdown_extensions:
  - toc:
  - admonition
  - codehilite
  - footnotes
  - attr_list
  - pymdownx.details
  - pymdownx.highlight:
      anchor_linenums: true
      line_spans: __span
      pygments_lang_class: true
      linenums: true
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.superfences
  - pymdownx.critic
  - pymdownx.caret
  - pymdownx.keys
  - pymdownx.mark
  - pymdownx.tilde
  - md_in_html
  - pymdownx.emoji:
      emoji_index: !!python/name:material.extensions.emoji.twemoji
      emoji_generator: !!python/name:material.extensions.emoji.to_svg

# Plugins
plugins:
  - material/social:
      cards_layout: default/variant
      cards_layout_options:
        background_color: "#0b1329"
        font_family: VT323
  - search:
      separator: '[\s\-\.]+'
      lang:
        - fr
  #- inline-svg


# Customization
extra_javascript:
  - "https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.6/MathJax.js?config=TeX-MML-AM_CHTML"
extra_css:
  - stylesheets/extra.css
extra:
  analytics:
    provider: google
    property: G-SN71Y331VQ
  manifest: "manifest.json"
  social:
    - icon: "fontawesome/brands/discord"
      link: "https://discord.gg/nAwtwCxQ"


      